summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2020-08-09 08:32:20 +0200
committerMartin Väth <martin@mvath.de>2020-08-09 08:32:20 +0200
commitba109bca28a9afdc466580d857b8a45095bf8121 (patch)
tree9a823417c5e5d28a4e5041748a2435538a28a3d7
parentgames-rpg/m5figur-mv: Version bump (diff)
downloadmv-ba109bca28a9afdc466580d857b8a45095bf8121.tar.gz
mv-ba109bca28a9afdc466580d857b8a45095bf8121.tar.bz2
mv-ba109bca28a9afdc466580d857b8a45095bf8121.zip
www-plugins squashfs-tool googleearth sundtek-tv schily-tools: Version bumps
Signed-off-by: Martin Väth <martin@mvath.de>
-rw-r--r--app-shells/schily-tools/Manifest2
-rw-r--r--app-shells/schily-tools/schily-tools-2020.07.18.ebuild (renamed from app-shells/schily-tools/schily-tools-2020.05.11.ebuild)0
-rw-r--r--media-tv/sundtek-tv/Manifest2
-rw-r--r--media-tv/sundtek-tv/sundtek-tv-200507.155645.ebuild (renamed from media-tv/sundtek-tv/sundtek-tv-200325.155550.ebuild)0
-rw-r--r--metadata/pkg_desc_index16
-rw-r--r--sci-geosciences/googleearth/Manifest1
-rw-r--r--sci-geosciences/googleearth/googleearth-7.3.2.ebuild (renamed from sci-geosciences/googleearth/googleearth-7.3.2-r2.ebuild)0
-rw-r--r--sci-geosciences/googleearth/googleearth-7.3.3.ebuild156
-rw-r--r--sys-fs/squashfs-tools/Manifest2
-rw-r--r--sys-fs/squashfs-tools/squashfs-tools-4.5_alpha20200207.ebuild (renamed from sys-fs/squashfs-tools/squashfs-tools-4.4.ebuild)4
-rw-r--r--sys-fs/squashfs-tools/squashfs-tools-99999999.ebuild4
-rw-r--r--www-plugins/dark-mode/Manifest2
-rw-r--r--www-plugins/dark-mode/dark-mode-0.3.7.ebuild (renamed from www-plugins/dark-mode/dark-mode-0.3.3.ebuild)0
-rw-r--r--www-plugins/epubreader/Manifest2
-rw-r--r--www-plugins/epubreader/epubreader-2.0.13.ebuild (renamed from www-plugins/epubreader/epubreader-2.0.8.ebuild)0
-rw-r--r--www-plugins/form-history-control/Manifest2
-rw-r--r--www-plugins/form-history-control/form-history-control-2.5.1.0.ebuild (renamed from www-plugins/form-history-control/form-history-control-2.3.1.0.ebuild)0
-rw-r--r--www-plugins/noscript/Manifest2
-rw-r--r--www-plugins/noscript/noscript-11.0.36.ebuild (renamed from www-plugins/noscript/noscript-10.6.3.ebuild)0
19 files changed, 176 insertions, 19 deletions
diff --git a/app-shells/schily-tools/Manifest b/app-shells/schily-tools/Manifest
index 2d9e9f1a..de5e3f80 100644
--- a/app-shells/schily-tools/Manifest
+++ b/app-shells/schily-tools/Manifest
@@ -1 +1 @@
-DIST schily-2020-05-11.tar.bz2 4783976 SHA512 a12f0a3caa14c35af150afb4354fbe7c5b1d6ad301d24efbed6f0ec7c38919fe2bf863a117d46107178d11f60b9dd93f72f173c722e2e129d86d348b01fc56ee
+DIST schily-2020-07-18.tar.bz2 4856458 SHA512 22bd1dae0c01edb422450b13e00cf1025a5bc7790d59de8b5be04b58d94ddda34cb95a197306af066ef0a264694684a6af9c0cc84033586b8ca10910d939c3e0
diff --git a/app-shells/schily-tools/schily-tools-2020.05.11.ebuild b/app-shells/schily-tools/schily-tools-2020.07.18.ebuild
index 64fc15b9..64fc15b9 100644
--- a/app-shells/schily-tools/schily-tools-2020.05.11.ebuild
+++ b/app-shells/schily-tools/schily-tools-2020.07.18.ebuild
diff --git a/media-tv/sundtek-tv/Manifest b/media-tv/sundtek-tv/Manifest
index 33efc645..162853e9 100644
--- a/media-tv/sundtek-tv/Manifest
+++ b/media-tv/sundtek-tv/Manifest
@@ -1 +1 @@
-DIST sundtek_installer_200325.155550.sh 44265663 SHA512 af2f15229ea2a70cce821bea77dcafa56a4f3ef24bcce0d4d3e925c8ab4a965b0f64e9a14287ab7ae45472450a127b606527b815426117f75768359c9d86d3d7
+DIST sundtek_installer_200507.155645.sh 44289525 SHA512 d33f45571591f0b8c7406c97df22e0ed715c8616f88696e1ce297f40510569fc244798d747071341acc4bf2f49c8162e1220670dd6858e26628cfe0190216da4
diff --git a/media-tv/sundtek-tv/sundtek-tv-200325.155550.ebuild b/media-tv/sundtek-tv/sundtek-tv-200507.155645.ebuild
index e1205f17..e1205f17 100644
--- a/media-tv/sundtek-tv/sundtek-tv-200325.155550.ebuild
+++ b/media-tv/sundtek-tv/sundtek-tv-200507.155645.ebuild
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 670d1c0c..8dd8ad0d 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -41,7 +41,7 @@ app-shells/oh-my-zsh 99999999: A ready-to-use zsh configuration with plugins
app-shells/push 3.3: A POSIX shell function to treat a variable like an array, quoting args
app-shells/quoter 4.2: Quote arguments or standard input for usage in POSIX shell by eval
app-shells/runtitle 2.11: Scripts to run commands and set the hard status line (windows title)
-app-shells/schily-tools 2020.05.11: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
+app-shells/schily-tools 2020.07.18: Many tools from Joerg Schilling, including a POSIX compliant Bourne Shell
app-shells/set_prompt 3.2: An intelligent prompt for zsh or bash with status line (window title) support
app-shells/termcolors-mv 4.8: 256colors sample script and dircolors configuration for standard or 256 colors
app-shells/zsh-autosuggestions 0.6.4 99999999: Fish-like autosuggestions for zsh
@@ -81,7 +81,7 @@ media-gfx/pqiv 2.11: powerful GTK based command-line image viewer with a minimal
media-libs/avidemux-core 2.7.4-r1: Core libraries for simple video cutting, filtering and encoding tasks
media-libs/avidemux-plugins 2.7.4-r1: Plugins for the video editor media-video/avidemux
media-tv/nvtv 0.4.7-r3: TV-Out for NVidia cards
-media-tv/sundtek-tv 200325.155550: Sundtek MediaTV Pro III Drivers
+media-tv/sundtek-tv 200507.155645: Sundtek MediaTV Pro III Drivers
media-tv/w_scan 20170107-r1: Scan for DVB-C/DVB-T/DVB-S channels without prior knowledge of frequencies
media-video/avidemux 2.7.4-r1: Video editor designed for simple cutting, filtering and encoding tasks
media-video/avinfo 1.0_alpha15_p1-r1: Utility for displaying AVI information
@@ -96,7 +96,7 @@ net-misc/netctl 1.11: Profile based network connection tool from Arch Linux
net-misc/openrdate 1.2: use TCP or UDP to retrieve the current time of another machine
net-misc/sshstart 4.10: Start ssh-agent/ssh-add only if you really use ssh or friends
net-print/foo2zjs 20200221: Support for printing to ZjStream-based printers
-sci-geosciences/googleearth 7.1.8.3036-r3 7.3.0.3832-r3 7.3.2-r2: A 3D interface to the planet
+sci-geosciences/googleearth 7.1.8.3036-r3 7.3.0.3832-r3 7.3.2 7.3.3: A 3D interface to the planet
sci-mathematics/genius 1.0.21: Genius Mathematics Tool and the GEL Language
sci-mathematics/reduce 20141130-r2 20190413: A general-purpose computer algebra system
sys-apps/cpi 3.2: A wrapper for cp -i -a, making use of diff
@@ -111,7 +111,7 @@ sys-block/zram-init 10.5: Scripts to support compressed swap devices or ramdisks
sys-boot/grub-cfg-mv 1.8: A grub.cfg library/example for GRUB2
sys-fs/emount 3.0.5: mount/unmount create/remove dm-crypt filesystems according to your /etc/fstab
sys-fs/squash_dir 13.14-r1: Keep directories compressed with squashfs. Useful for portage tree, texmf-dist
-sys-fs/squashfs-tools 4.4 99999999: Tool for creating compressed filesystem type squashfs
+sys-fs/squashfs-tools 4.5_alpha20200207 99999999: Tool for creating compressed filesystem type squashfs
sys-fs/squashfuse 0.1.103 0.1.104_alpha20180721: FUSE filesystem to mount squashfs archives
sys-fs/squashmount 22.0.1: Keep directories compressed with squashfs. Useful for portage tree, texmf-dist
sys-kernel/kccmp 0.3-r1: A simple tool for comparing two linux kernel .config files
@@ -123,16 +123,16 @@ virtual/man 0-r3: Virtual for man
www-plugins/bookmark-dupes 6.4: Firefox webextension: remove duplicate bookmarks/empty folders/descriptions
www-plugins/calc-extension 5.3: Firefox webextension: calculate values of mathematical expressions
www-plugins/canvasblocker 0.5.5: Firefox webextension: block canvas API to prevent canvas fingerprinting
-www-plugins/dark-mode 0.3.3: Firefox webextension: a global dark theme for the web
+www-plugins/dark-mode 0.3.7: Firefox webextension: a global dark theme for the web
www-plugins/decentraleyes 2.0.8: Firefox webextension: avoid centralized services
www-plugins/duckduckgo 2018.10.24: Firefox webextension: privacy essentials, including duckduckgo search engine
-www-plugins/epubreader 2.0.8: Firefox webextension: read ebook (.epub) files
-www-plugins/form-history-control 2.3.1.0: Firefox webextension: edit the saved history of forms
+www-plugins/epubreader 2.0.13: Firefox webextension: read ebook (.epub) files
+www-plugins/form-history-control 2.5.1.0: Firefox webextension: edit the saved history of forms
www-plugins/google-translation 2.6: Firefox webextension: translate to your native language a selected text
www-plugins/google-translator-for-firefox 3.0.3.3: Firefox webextension: translate text or page with google translator
www-plugins/https-everywhere 2018.10.31: Firefox webextension: force https for all websites of a provided list
www-plugins/no-color 0.9.4: Firefox webextension: remove colors and background images from the page
-www-plugins/noscript 10.6.3: Firefox webextension: restrict active contents like java/javascript/flash
+www-plugins/noscript 11.0.36: Firefox webextension: restrict active contents like java/javascript/flash
www-plugins/skip-redirect 2.2.1: Firefox webextension: skip intermediary pages before redirecting
www-plugins/translate-to-me 1.1: Firefox webextension: translate the selected text with www.linguee.com
www-plugins/ublock-origin 1.17.2: Firefox webextension: An efficient list-based blocker
diff --git a/sci-geosciences/googleearth/Manifest b/sci-geosciences/googleearth/Manifest
index 71656314..201593e2 100644
--- a/sci-geosciences/googleearth/Manifest
+++ b/sci-geosciences/googleearth/Manifest
@@ -3,3 +3,4 @@ DIST google-earth-pro-stable_7.1.8.3036-r0_i386.deb 44460270 SHA512 74176fd389bc
DIST google-earth-pro-stable_7.3.0.3832-r0_amd64.deb 57842874 SHA512 af75d6dc223983aba7f84685c8f12bb06b4972fe0a50a883c5ee3321c37b16cd25ac7c60da3c80f4bf7cec41011827fab9f66ba2c9c3f404cd7270f610815251
DIST google-earth-pro-stable_7.3.0.3832-r0_i386.deb 56685312 SHA512 7bdf9cdf5d431b55ccc02e15e9f58bb9b3ed6590a6f53afe7202ba2d8fd38be333e9bfe273ea64502a78fb4263021da15b16cf474ea48a3742f0ce622eb8d151
DIST google-earth-pro-stable_7.3.2_amd64.deb 56455100 SHA512 f17427796d01ea01e5cd8ac357121fff0a72815bb3a01fc9a4a531d3aa49e9850ec54cf59d8c2383e46214861f5f2de9a90fbe157d53dccdb39437e55c006f29
+DIST google-earth-pro-stable_7.3.3_amd64.deb 56057072 SHA512 51f3fd8d3aeaab91a662c4c825f9c1a59fde00a07574441b3b4b29799cfde19c8fb42f348b98480cce7ba28116bf714ebed250fe9029dbd6127dc8f6fec3aa72
diff --git a/sci-geosciences/googleearth/googleearth-7.3.2-r2.ebuild b/sci-geosciences/googleearth/googleearth-7.3.2.ebuild
index 6ea761ee..6ea761ee 100644
--- a/sci-geosciences/googleearth/googleearth-7.3.2-r2.ebuild
+++ b/sci-geosciences/googleearth/googleearth-7.3.2.ebuild
diff --git a/sci-geosciences/googleearth/googleearth-7.3.3.ebuild b/sci-geosciences/googleearth/googleearth-7.3.3.ebuild
new file mode 100644
index 00000000..6ea761ee
--- /dev/null
+++ b/sci-geosciences/googleearth/googleearth-7.3.3.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2019 Martin V\"ath and others
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils pax-utils unpacker xdg-utils
+
+DESCRIPTION="A 3D interface to the planet"
+HOMEPAGE="https://www.google.com/earth/desktop/"
+SRC_URI="https://dl.google.com/dl/linux/direct/google-earth-pro-stable_${PV}_amd64.deb"
+LICENSE="googleearth GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="mirror splitdebug"
+IUSE="+bundled-qt"
+
+QA_PREBUILT="*"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-libs/nspr
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/gstreamer:1.0=
+ media-libs/gst-plugins-base:1.0=
+ net-libs/libproxy
+ net-misc/curl
+ sys-devel/gcc[cxx]
+ sys-libs/zlib
+ virtual/glu
+ virtual/opengl
+ virtual/ttf-fonts
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXrender
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ !bundled-qt? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[widgets]
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtpositioning:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsensors:5
+ dev-qt/qtscript:5[scripttools]
+ dev-qt/qtwebchannel:5
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtx11extras:5
+ )"
+# sci-libs/gdal-1*
+BDEPEND="dev-util/patchelf"
+
+S=${WORKDIR}/opt/google/earth/pro
+
+src_unpack() {
+ # default src_unpack fails with deb2targz installed, also this unpacks the data.tar.lzma as well
+ unpack_deb ${A}
+
+ cd opt/google/earth/pro || die
+ if ! use bundled-qt ; then
+ einfo "removing bundled qt"
+ rm -v libQt5{Core,DBus,Gui,Multimedia,MultimediaWidgets,Network,OpenGL,Positioning,PrintSupport,Qml,Quick,Script,ScriptTools,Sensors,Sql,WebChannel,WebKit,WebKitWidgets,Widgets,X11Extras,XcbQpa}.so.5 || die
+ fi
+}
+
+src_prepare() {
+
+ # we have no ld-lsb.so.3 symlink
+ # thanks to Nathan Phillip Brink <ohnobinki@ohnopublishing.net> for suggesting patchelf
+ einfo "running patchelf"
+ patchelf --set-interpreter /$(get_libdir)/ld-linux$(usex amd64 "-x86-64" "").so.2 ${PN}-bin || die "patchelf failed"
+
+ # Set RPATH for preserve-libs handling (bug #265372).
+ local x
+ for x in * ; do
+ # Use \x7fELF header to separate ELF executables and libraries
+ [[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || continue
+ chmod u+w "${x}" || die
+ patchelf --set-rpath '$ORIGIN' "${x}" || \
+ die "patchelf failed on ${x}"
+ done
+ for x in plugins/*.so ; do
+ [[ -f ${x} ]] || continue
+ chmod u+w "${x}" || die
+ patchelf --set-rpath '$ORIGIN/..' "${x}" || \
+ die "patchelf failed on ${x}"
+ done
+ for x in plugins/imageformats/*.so ; do
+ [[ -f ${x} ]] || continue
+ chmod u+w "${x}" || die
+ patchelf --set-rpath '$ORIGIN/../..' "${x}" || \
+ die "patchelf failed on ${x}"
+ done
+
+ eapply -p0 "${FILESDIR}"/${PN}-${PV%%.*}-pro-desktopfile.patch
+ default
+}
+
+src_install() {
+ make_wrapper ${PN} ./${PN} /opt/${PN} .
+
+ insinto /usr/share/mime/packages
+ doins "${FILESDIR}/${PN}-mimetypes.xml" || die
+
+ domenu google-earth-pro.desktop
+
+ local size
+ for size in 16 22 24 32 48 64 128 256 ; do
+ newicon -s ${size} product_logo_${size}.png google-earth-pro.png
+ done
+
+ rm -rf xdg-mime xdg-settings google-earth-pro google-earth-pro.desktop product_logo_*
+
+ insinto /opt/${PN}
+ doins -r *
+
+ chmod +x "${ED}"/opt/${PN}/{${PN}{,-bin},repair_tool,gpsbabel} || die
+ find "${ED}" -type f '(' -name '*.so.*' -o -name '*.so' ')' -exec chmod +x '{}' + || die
+
+ pax-mark -m "${ED%/}"/opt/${PN}/${PN}-bin
+}
+
+pkg_postinst() {
+ elog "When you get a crash starting Google Earth, try adding a file ~./.config/Google/GoogleEarthPlus.conf"
+ elog "with the following options:"
+ elog "lastTip = 4"
+ elog "enableTips = false"
+ elog ""
+ elog "In addition, the use of free video drivers may cause problems associated with using the Mesa"
+ elog "library. In this case, Google Earth 6x likely only works with the Gallium3D variant."
+ elog "To select the 32bit graphic library use the command:"
+ elog " eselect mesa list"
+ elog "For example, for Radeon R300 (x86):"
+ elog " eselect mesa set r300 2"
+ elog "For Intel Q33 (amd64):"
+ elog " eselect mesa set 32bit i965 2"
+ elog "You may need to restart X afterwards"
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
diff --git a/sys-fs/squashfs-tools/Manifest b/sys-fs/squashfs-tools/Manifest
index 23f98aa2..ce20c863 100644
--- a/sys-fs/squashfs-tools/Manifest
+++ b/sys-fs/squashfs-tools/Manifest
@@ -1,2 +1,2 @@
-DIST squashfs-tools-4.4.tar.gz 241842 SHA512 133ce437fb8c929933d52cff710b61dd9181f6f8be58250b0d6a59a7bb79a2b350f68f456b06a0e17c469409a71272d586802d570248273ddcd5dad088c00308
+DIST squashfs-tools-4.5_alpha20200207.tar.gz 242075 SHA512 dfdd9f81c145b1ae85e3d7eb43af4b6e2df76a19398232e66d11c2159b62927a0a6084d6d9e621dd372ced6d278353c8884b1d81701180e24e3bc06e2f4fa263
DIST squashfs-tools_4.3-12.debian.tar.xz 27300 SHA512 13b04a85b1237b5a88a0e01f82b992d98e1b29e3a90a29230607c5232e0188d5402de55a08b6cf78b09f7da2eea05ccc6d15ac0de375af8004c468cfac1fe940
diff --git a/sys-fs/squashfs-tools/squashfs-tools-4.4.ebuild b/sys-fs/squashfs-tools/squashfs-tools-4.5_alpha20200207.ebuild
index 91f6ae3c..f1ca20a4 100644
--- a/sys-fs/squashfs-tools/squashfs-tools-4.4.ebuild
+++ b/sys-fs/squashfs-tools/squashfs-tools-4.5_alpha20200207.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors and Martin V\"ath
+# Copyright 1999-2020 Gentoo Authors and Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -29,7 +29,7 @@ src_unpack() {
};;
*alpha*)
RESTRICT="mirror"
- EGIT_COMMIT="52eb4c279cd283ed9802dd1ceb686560b22ffb67"
+ EGIT_COMMIT="c570c6188811088b12ffdd9665487a2960c997a0"
SRC_URI="https://github.com/plougher/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
${EXTRA_URI}"
src_unpack() {
diff --git a/sys-fs/squashfs-tools/squashfs-tools-99999999.ebuild b/sys-fs/squashfs-tools/squashfs-tools-99999999.ebuild
index 91f6ae3c..f1ca20a4 100644
--- a/sys-fs/squashfs-tools/squashfs-tools-99999999.ebuild
+++ b/sys-fs/squashfs-tools/squashfs-tools-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors and Martin V\"ath
+# Copyright 1999-2020 Gentoo Authors and Martin V\"ath
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -29,7 +29,7 @@ src_unpack() {
};;
*alpha*)
RESTRICT="mirror"
- EGIT_COMMIT="52eb4c279cd283ed9802dd1ceb686560b22ffb67"
+ EGIT_COMMIT="c570c6188811088b12ffdd9665487a2960c997a0"
SRC_URI="https://github.com/plougher/${PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
${EXTRA_URI}"
src_unpack() {
diff --git a/www-plugins/dark-mode/Manifest b/www-plugins/dark-mode/Manifest
index a6f49037..8aced8b7 100644
--- a/www-plugins/dark-mode/Manifest
+++ b/www-plugins/dark-mode/Manifest
@@ -1 +1 @@
-DIST dark_mode_webextension-0.3.3-an+fx.xpi 267020 SHA512 323312cfdfe5ce36b3e51983a8a8d359e7e1974c68a9a3d851c50b2cc1662104d57a3a365f8213e576121f3b61f7de5a6afe51cba94280ff4f5b5e802fea3f0e
+DIST dark_mode_webextension-0.3.7-an+fx.xpi 280649 SHA512 d61bd82e886e1a10cbc3db0f68a8e299835923fe34d8f2a6a7a007987418e1471d89c9679081c386bb0b71f33ab81a06398a38d54bf560befb6b1b80a75d74af
diff --git a/www-plugins/dark-mode/dark-mode-0.3.3.ebuild b/www-plugins/dark-mode/dark-mode-0.3.7.ebuild
index 81fb2470..81fb2470 100644
--- a/www-plugins/dark-mode/dark-mode-0.3.3.ebuild
+++ b/www-plugins/dark-mode/dark-mode-0.3.7.ebuild
diff --git a/www-plugins/epubreader/Manifest b/www-plugins/epubreader/Manifest
index 44711b0d..c7262046 100644
--- a/www-plugins/epubreader/Manifest
+++ b/www-plugins/epubreader/Manifest
@@ -1 +1 @@
-DIST epubreader-2.0.8-fx.xpi 177705 SHA512 2a5a3d34e7f33d547c2275d93b217cadcbce05bd90e73eb3a3607f000cb4d34bd4586ed2a2850d7836d2524518db95899aa2f69dadc2d934971242fdec1e565f
+DIST epubreader-2.0.13-fx.xpi 192536 SHA512 77a5121d0cb8f2218a8291f04d8cceeb89adb12a3cb78a26a417797ee7a972d143a2997a5462665c392c2d487708942d9c8b1983bd65b14c9d726191a8f9934a
diff --git a/www-plugins/epubreader/epubreader-2.0.8.ebuild b/www-plugins/epubreader/epubreader-2.0.13.ebuild
index c29d6e7a..c29d6e7a 100644
--- a/www-plugins/epubreader/epubreader-2.0.8.ebuild
+++ b/www-plugins/epubreader/epubreader-2.0.13.ebuild
diff --git a/www-plugins/form-history-control/Manifest b/www-plugins/form-history-control/Manifest
index 9a8b1854..620288a8 100644
--- a/www-plugins/form-history-control/Manifest
+++ b/www-plugins/form-history-control/Manifest
@@ -1 +1 @@
-DIST form_history_control-2.3.1.0-an+fx.xpi 283580 SHA512 199a8f1f6c67be05682218b29acea5dbbeca43b12a60a0e618035978bd35d6778489d8748f5fbee687441edb15fdf392b21ea976cb84d6f8df6f8d1ed1df1574
+DIST form_history_control-2.5.1.0-an+fx.xpi 283580 SHA512 199a8f1f6c67be05682218b29acea5dbbeca43b12a60a0e618035978bd35d6778489d8748f5fbee687441edb15fdf392b21ea976cb84d6f8df6f8d1ed1df1574
diff --git a/www-plugins/form-history-control/form-history-control-2.3.1.0.ebuild b/www-plugins/form-history-control/form-history-control-2.5.1.0.ebuild
index 6ac1d624..6ac1d624 100644
--- a/www-plugins/form-history-control/form-history-control-2.3.1.0.ebuild
+++ b/www-plugins/form-history-control/form-history-control-2.5.1.0.ebuild
diff --git a/www-plugins/noscript/Manifest b/www-plugins/noscript/Manifest
index ce3347c9..9d727846 100644
--- a/www-plugins/noscript/Manifest
+++ b/www-plugins/noscript/Manifest
@@ -1 +1 @@
-DIST noscript-10.6.3.xpi 518590 SHA512 a3a8c8e8b5d6336393111fd492e73209a80bd36c76245425f03012b6628009766407ff2bbc014ce800b268e956eb122266abf1b0b2033588bf5f059e9ff1109e
+DIST noscript-11.0.36.xpi 588357 SHA512 e91648423328c37cef484f646e02adee43c962c0da9f632db1cd594191875d3037626909f09aa954432ac2171c4046bbe56b3f3796fe9b7e6fef4eaa58fce642
diff --git a/www-plugins/noscript/noscript-10.6.3.ebuild b/www-plugins/noscript/noscript-11.0.36.ebuild
index a9de8f58..a9de8f58 100644
--- a/www-plugins/noscript/noscript-10.6.3.ebuild
+++ b/www-plugins/noscript/noscript-11.0.36.ebuild